--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

mirrorqq = {};

function mirrorqq.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function mirrorqq:load(xmlFile)

    self.mirrorqqs = {};
    self.mirrorqqs[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq1#index"));
    self.mirrorqqs[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq2#index"));
    self.mirrorqqs[3] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq3#index"));
    self.mirrorqqs[4] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq4#index"));
    self.mirrorqqs[5] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq5#index"));
    self.mirrorqqs[6] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqqs.mirrorqq6#index"));
	
end;

function mirrorqq:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_l then 
		self.drawMirrorqq = not self.drawMirrorqq;
		setVisibility(self.mirrorqqs[1], self.drawMirrorqq);
    	        setVisibility(self.mirrorqqs[2], self.drawMirrorqq);
                setVisibility(self.mirrorqqs[3], self.drawMirrorqq);
                setVisibility(self.mirrorqqs[4], self.drawMirrorqq);
                setVisibility(self.mirrorqqs[5], self.drawMirrorqq);
                setVisibility(self.mirrorqqs[6], self.drawMirrorqq);
	 end;

end;


function mirrorqq:update(dt)
end;

function mirrorqq:draw()
end;

function mirrorqq:onEnter()

end;

function mirrorqq:onLeave()
end;

function mirrorqq:delete()
end;

function mirrorqq:mouseEvent(posX, posY, isDown, isUp, button)
end;